# Glib::Variant< Glib::ustring > Class Template Reference
[Variant Datatype]

Specialization of Glib::Variant containing a Glib::ustring. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< Glib::ustring >:
[legend]

List of all members.

## Public Types
typedef char* | CType
## Public Member Functions
| Variant ()
| Variant (GVariant* castitem)
Glib::ustring | get () const
## Static Public Member Functions
static const GVariantType* | variant_type ()
static Variant< Glib::ustring > | create (const Glib::ustring& data)

## Detailed Description

### template <>
class Glib::Variant< Glib::ustring >

Specialization of Glib::Variant containing a Glib::ustring.

Since glibmm 2.26:

## Member Typedef Documentation

typedef char* Glib::Variant< Glib::ustring >::CType

## Constructor & Destructor Documentation

Glib::Variant< Glib::ustring >::Variant | ( |  | ) | `[inline]`

Glib::Variant< Glib::ustring >::Variant | ( | GVariant< Glib::ustring >* | castitem | ) | `[inline, explicit]`

## Member Function Documentation

static Variant<Glib::ustring> Glib::Variant< Glib::ustring >::create | ( | const Glib::ustring& | data | ) | `[static]`

Glib::ustring Glib::Variant< Glib::ustring >::get | ( |  | ) | const

static const GVariantType* Glib::Variant< Glib::ustring >::variant_type | ( |  | ) | `[static]`